//Patriche Robert Cosmin
#include <iostream>
using namespace std;

void sommaDiagonali(int matrice[3][3], int n) {
    int sommaDiagonalePrincipale = 0;
    int sommaDiagonaleSecondaria = 0;

    for (int i = 0; i < n; i++) {
        sommaDiagonalePrincipale += matrice[i][i];
        sommaDiagonaleSecondaria += matrice[i][n - 1 - i];
    }

    cout << "Somma della diagonale principale: " << sommaDiagonalePrincipale << endl;
    cout << "Somma della diagonale secondaria: " << sommaDiagonaleSecondaria << endl;

    if (sommaDiagonalePrincipale > sommaDiagonaleSecondaria) {
        cout << "La somma della diagonale principale è maggiore." << endl;
    } else if (sommaDiagonalePrincipale < sommaDiagonaleSecondaria) {
        cout << "La somma della diagonale secondaria è maggiore." << endl;
    } else {
        cout << "Le somme delle diagonali sono uguali." << endl;
    }
}

int main() {
    int matrice[3][3] = {{1, 2, 3}, {4, 5, 6}, {7, 8, 9}};
    sommaDiagonali(matrice, 3);
    return 0;
}
